@import "colors.less";

*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  font-weight: 400;
}

section {
  margin-bottom: 25px;
}

.container {
  max-width: 1280px;
  padding: 0 20px;
  margin: 0 auto;
}

li {
  list-style: none;
}

img {
  max-width: 100%;
}


//Stock bar==============
.stock-bar {
  background: @stock-bg;
  text-align: center;
  color: @white;
  padding-top: 10px;

  .stock-bar-title {
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
  }

  .stock-bar-text {
    font-size: 13px;
    line-height: 20px;

    span {
      font-weight: 700;
    }
  }
}

//Header section=========
header {
  .header-info {
    background: @header-info-bg;

    .header-info-row-1 {
      padding: 5px 20px 10px;
      display: flex;
      justify-content: space-between;

      .returns {
        a {
          color: @white;
          font-size: 16px;
          font-weight: 700;
          text-decoration: none;

          i {
            font-size: 13px;
            padding-right: 5px;
          }

          &:hover {
            text-decoration: underline;
          }
        }
      }

      .customer-switcher {
        display: flex;

        .currency {
          margin-left: 15px;
        }
        .switcher {
          a {
            color: @white;
            font-weight: 700;
            text-transform: uppercase;
            text-decoration: none;
            letter-spacing: 2px;

            i {
              margin-left: 5px;
            }
          }
        }
      }
    }

    .header-info-row-2 {
      display: flex;
      justify-content: space-between;
      padding: 25px 20px 20px;

      .header-phones {
        display: flex;
        flex-direction: column;

        a {
          color: @main-text-color;
          font-weight: 700;
          line-height: 20px;
          text-decoration: none;

          &:last-child {
            margin-left: 18px;
          }

          &:hover {
            text-decoration: underline;
          }
        }
      }

      .header-logo {
        position: relative;

        img {
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-85px, -50px);
        }
      }

      .header-search {
        position: relative;
        display: flex;
        justify-content: space-between;

        input {
          //max-width: 240px;
          width: 240px;
          outline: none;
          border: none;
          line-height: 20px;
          padding: 7px 5px;
          font-weight: 700;
          color: @main-text-color;

        }
        button {
          border: none;
          outline: none;
          height: 34px;
          width: 34px;
          position: absolute;
          cursor: pointer;
          background: transparent;
          top: 0;
          right: 29px;
        }
        a {
          padding-top: 3px;
          padding-left: 5px;
        }
      }
    }
  }

  nav {
    background: @menu-bg;

    ul {
      display: flex;
      justify-content: space-around;
      margin: 0 200px;
      padding: 10px;

      li {
        a {
          text-decoration: none;
          color: @main-text-color;
          text-transform: uppercase;
          font-weight: 700;
          line-height: 45px;
          letter-spacing: 1.5px;
          padding: 10px;

          &:hover {
            border-bottom: 3px solid @main-text-color;
          }
          }
        }


      }
    }
  }

//Action section=========
.action {
  .action-hero {
    background: url("../img/bg-hero-inDay.jpg") no-repeat center/cover;
    height: 450px;
    position: relative;

    .action-hero-content {
      text-align: center;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      font-weight: 700;
      color: @white;

      .hero-content-title {
        font-size: 22px;
        letter-spacing: 2px;
        line-height: 10px;
      }

      .hero-content-percent-off {
        font-size: 100px;
        line-height: 88px;
      }

      .hero-content-gift {
        font-size: 30px;
        line-height: 40px;
      }

      .hero-content-bonus-code {
        font-size: 18px;
        line-height: 38px;
        font-weight: 400;
        margin-bottom: 15px;

        span {
          font-weight: 700;
          color: #f1c761;
        }
      }

      .hero-btn {

        a {
          background: @white;
          text-transform: uppercase;
          text-decoration: none;
          color: @main-text-color;
          padding: 8px 20px;
          display: inline-block;
          font-weight: 400;
          transition: background-color 0.4s ease;
          cursor: pointer;

          &:hover {
            background: #ffffff85;
          }
        }
      }
    }


  }

  .attention {
    background: @stock-bg;

    p {
      line-height: 20px;
      padding: 10px;
      color: @white;
      text-align: center;
    }

  }
}

//Main-category section==
.main-category {
  .our-features {
    display: flex;
    justify-content: space-around;
    background: #f9f9f9;
    padding: 10px 100px;
    margin-bottom: 25px;

    .our-features-box {
      display: flex;
      padding: 10px 0;

      img {
        margin-right: 10px;
      }

      .feature-box-text {
        a {
          text-decoration: none;
          color: @main-text-color;

          h3 img {
            transform: scale(.8);
          }
        }
      }
    }
  }

  .main-category-inner {
    display: flex;
    justify-content: space-between;

    .main-category-inner-box {
      position: relative;

      img {
        max-height: 400px;
      }

      a {
        position: absolute;
        bottom: 5%;
        left: 50%;
        transform: translate(-50%, -50%);
        background: rgba(0,0,0,0.5);
        color: @white;
        text-transform: uppercase;
        text-decoration: none;
        padding: 11px 20px;
        font-weight: 700;
        border: 1px solid @white;
        letter-spacing: 1px;
      }
    }
  }
}


